Can't update Layer Slider

As the title suggests, I can't update Layer Slider plugin even going through BeTheme>Install Plugins. I keep getting a message that says:

 License activation is required to receive updates. Please read our online documentation to learn more.

TGMPA v2.6.1

Return to Required Plugins Installer

Please sign in to unlock conversation.

If you don't have an account yet, please register now